      subroutine online_spectral_diags_empty

      use Agrif_Types, only : Agrif_tabvars


#include "Param_BeforeCall_online_spectral_diags_empty.h"
      return
      end subroutine online_spectral_diags_empty
      subroutine init_online_spectral_diags_empty

      use Agrif_Types, only : Agrif_tabvars


#include "Param_BeforeCall_init_online_spectral_diags_empty.h"
      end subroutine init_online_spectral_diags_empty
      subroutine run_online_spectral_diags_empty

      use Agrif_Types, only : Agrif_tabvars


#include "Param_BeforeCall_run_online_spectral_diags_empty.h"
      end subroutine run_online_spectral_diags_empty
